{
    // 组件自动导入
    "easycom": {
        "autoscan": true,
        "custom": {
            // uni-ui 规则如下配置
            "^uni-(.*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue",
            "^u--(.*)": "uview-plus/components/u-$1/u-$1.vue",
			"^up-(.*)": "uview-plus/components/u-$1/u-$1.vue",
	        "^u-([^-].*)": "uview-plus/components/u-$1/u-$1.vue"
        }
    },
    "pages": [
        //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
        {
            "path": "pages/login/index",
            "style": {
                "navigationBarTitleText": "登录",
                "navigationStyle": "custom"
            }
        },
        {
            "path": "pages/panel/index",
            "style": {
                "navigationBarTitleText": "工作台",
                "navigationStyle": "custom"
            }
        },
        {
            "path": "pages/panel/app-center/index",
            "style": {
                "navigationBarTitleText": "应用中心",
                "navigationStyle": "custom"
            }
        },
        {
            "path": "pages/chat/index",
            "style": {
                "navigationBarTitleText": "沟通",
                "navigationStyle": "custom"
            }
        },
        {
            "path": "pages/mine/index",
            "style": {
                "navigationBarTitleText": "个人中心",
                "navigationStyle": "custom"
            }
        },
        {
            "path": "pages/experience/index",
            "style": {
                "navigationBarTitleText": "经验库",
                "navigationStyle": "custom"
            }
        },
        {
            "path": "pages/panel/appraisal-record/list",
            "style": {
                "navigationBarTitleText": "考核记录",
                "navigationStyle": "custom"
            }
        },
        {
            "path": "pages/panel/appraisal-record/details",
            "style": {
                "navigationStyle": "custom"
            }
        },
        {
            "path": "pages/panel/appraisal-record/edit",
            "style": {
                "navigationBarTitleText": "考核记录登记",
                "navigationStyle": "custom"
            }
        },
        {
            "path": "pages/panel/appraisal-record/add",
            "style": {
                "navigationBarTitleText": "添加公司值班信息",
                "navigationStyle": "custom"
            }
        }
    ],
    "globalStyle": {
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "uni-app",
        "navigationBarBackgroundColor": "#F8F8F8",
        "backgroundColor": "#F8F8F8",
        "navigationBarRightButton": {
            "hide": true
        }
    },
    "tabBar": {
        "color": "#1D2129",
        "selectedColor": "#0E42D2",
        "borderStyle": "black",
        "iconWidth": "24px",
        "backgroundColor": "#fff",
        "list": [
            {
                "pagePath": "pages/chat/index",
                "text": "沟通",
                "iconPath": "static/image/menu/chat.png",
                "selectedIconPath": "static/image/menu/chat-select.png"
            },
            {
                "pagePath": "pages/panel/index",
                "text": "工作台",
                "iconPath": "static/image/menu/panel.png",
                "selectedIconPath": "static/image/menu/panel-select.png"
            },
            {
                "pagePath": "pages/mine/index",
                "text": "个人中心",
                "iconPath": "static/image/menu/mine.png",
                "selectedIconPath": "static/image/menu/mine-select.png"
            }
        ]
    },
    "condition": {
        //模式配置，仅开发期间生效
        "current": 0, //当前激活的模式（list 的索引项）
        "list": [
            {
                "name": "test", //模式名称
                "path": "pages/panel/index" //启动页面，必选
            },
            {
                "name": "login", //模式名称
                "path": "pages/login/index" //启动页面，必选
            }
        ]
    }
}
